Bug 236366 - [patch] databases/mongodb40: fix aarch64 compilation
Summary: [patch] databases/mongodb40: fix aarch64 compilation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-03-07 15:53 UTC by Ronald Klop
Modified: 2019-03-21 14:50 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-


Attachments
remove 2 unneccesary files from files/aarch64 (2.74 KB, patch)
2019-03-07 15:53 UTC, Ronald Klop
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2019-03-07 15:53:35 UTC
Created attachment 202689 [details]
remove 2 unneccesary files from files/aarch64

Two files of the aarch64 patches are not necessary anymore to compile mongodb40 on aarch64.
In fact they break the patching stage of ports building.
Comment 1 Kurt Jaeger freebsd_committer 2019-03-07 17:45:32 UTC
testbuild@work
Comment 2 Kurt Jaeger freebsd_committer 2019-03-08 14:16:25 UTC
building hangs in devel/binutils (under poudriere).

Potential fixes mentioned in

https://github.com/seanbruno/qemu-bsd-user/pull/72

https://reviews.freebsd.org/D18835

are already applied. Any ideas ?
Comment 3 Ronald Klop 2019-03-17 06:57:06 UTC
(In reply to Kurt Jaeger from comment #2)
I have no idea about your qemu troubles.

The port fails in patch stage on aarch64.
http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p495404_s345044/logs/errors/mongodb40-4.0.6.log

NB: this is only about the aarch64 extra_patches, no change for amd64.

So my fix can't make it any worse. 😉
Comment 4 Mikael Urankar freebsd_committer 2019-03-18 09:32:11 UTC
I confirm it builds fine on aarch64:
http://mikael.urankar.free.fr/FreeBSD/mongodb40-4.0.6.log
Comment 5 Ronald Klop 2019-03-21 13:35:37 UTC
Did the maintainer timeout already trigger?
Comment 6 Kurt Jaeger freebsd_committer 2019-03-21 14:49:33 UTC
It has now. Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-03-21 14:50:28 UTC
A commit references this bug:

Author: pi
Date: Thu Mar 21 14:49:28 UTC 2019
New revision: 496468
URL: https://svnweb.freebsd.org/changeset/ports/496468

Log:
  databases/mongodb40: fix aarch64 compilation

  PR:		236366
  Submitted by:	Ronald Klop <ronald-lists@klop.ws>
  Approved by:	dev.ashevchuk@gmail.com (maintainer timeout)

Changes:
  head/databases/mongodb40/files/aarch64/patch-src_third__party_IntelRDFPMathLib20U1_LIBRARY_src_bid__functions.h
  head/databases/mongodb40/files/aarch64/patch-src_third__party_mozjs-45_SConscript